Subject: Re: [PATCH 1/5] powerpc/pseries: Drop support for MPIC in pseries

From: Rashmica <[email-masked]>
Date: Tue, 31 May 2016 12:48:07 +1000

On 31/05/16 11:34, Rashmica wrote:
>
>
> On 30/05/16 17:32, Benjamin Herrenschmidt wrote:
>> On Mon, 2016-05-30 at 16:18 +1000, Rashmica Gupta wrote:
>>> MPIC was only used by Power3 which is now unsupported, so drop support
>>> for MPIC. XICS is now the only supported interrupt controller for
>>> pSeries so make the XICS functions generic.
>> The second half I'm not sure ... XIVE is around the corner...
>>
>> Cheers,
>> Ben.
>>
> I thought XIVE was replacing XICS? And so then we can just simply 
> replace all the specific XICS code such as xics_init() and 
> xics_smp_probe() with the relevant XIVE functions?
>
> By "make the XICS functions generic" I meant that if there is only one 
> interrupt controller for pseries then we don't need to have both 
> static void __init pseries_xics_init_IRQ(void) and static void __init 
> pSeries_init_IRQ(void), etc.

Oliver just informed me that it is only replacing XICS for p9. Should I 
leave this for the person adding in the XIVE code?